%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name flufl.enum

Name:           python-%{upstream_name}
Version:        4.0.1
Release:        1%{?dist}
Summary:        A Python enumeration package

License:        LGPLv3+
URL:            http://launchpad.net/flufl.enum
Source0:        http://pypi.python.org/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-distribute

Requires:       python-distribute


%description
The ``flufl.enum`` library is yet another Python enumeration package.  Its goal
is to provide simple, specific, concise semantics in an easy to read and write
syntax.


%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        A Python enumeration package
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
The ``flufl.enum`` library is yet another Python enumeration package.  Its goal
is to provide simple, specific, concise semantics in an easy to read and write
syntax.


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd


%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/flufl
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/flufl
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%changelog
* Wed Nov 28 2012 Aurelien Bompard - 3.3.2-1
- Initial package.
